misplaced D1Client.getCN() in MNode constructor

2011-05-31 18:12 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone:  Story Points:  

Product Version: *   

Description

Want to be able to instantiate an MNode without invoking D1Client(), which is intended to act as a facade in the future.  

For desired behavior, create an MNode constructor that takes as a parameter either a NodeList  or  CNode object.

Also a constructor that allows creation independent of a CN.  (We are only using this dependency to facilitate MNode construction

using a NodeReference).

History

#1 - 2011-05-31 20:47 - Rob Nahf

An MNode should be able to get it's ID by calling itself. (the client-side class calling the service at the other end of the baseURL).  This is probably not

set up yet, but when cn.register() is implemented, the MNode registers itself and receives it's ID, which should be retrievable later via

mn.getCapabilities() - assuming when the nodeList is returned, it includes its own ID.

(Why does getCapabilities return a NodeList instead of a Node? hmm...)

#2 - 2011-05-31 22:03 - Rob Nahf

Latest thought: is it appropriate to put an http call to (the CN) in the MNode constructor?  How would we unit test?  My preference would be to defer

the http call to a getNodeID() method, and change the constructor that accepts a NodeReference to also take a NodeList. 

#3 - 2011-06-01 16:59 - Rob Nahf

- Assignee set to Rob Nahf

#4 - 2011-06-06 22:53 - Rob Nahf

- Subject changed from buggy implementation of D1Client.getCN in MNode constructor to misplaced D1Client.getCN() in MNode constructor

- Target version deleted (Sprint-2011.22-Block.3)

#5 - 2011-06-27 01:20 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2011.26-Block.4

- Position deleted (31)

#6 - 2011-06-27 16:22 - Rob Nahf

- % Done changed from 0 to 100

- Status changed from New to Closed

refactored client to remove http calls from constructors. (both MNode and CNode)
